Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002088KdenliveTransitionspublic2011-04-10 23:142013-01-28 19:51
Reporterdusty 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSKubuntu LinuxOS Version9.10
Product Version0.7.8 
Target VersionFixed in Version0.9.4 
Summary0002088: Adding a key frame to composite transition changes the position
DescriptionHello,
I'm trying to overlay a title to a video clip, so I created the title and added the composite transition to it.
Everything is fine and just as expected.

Then I decided to slowly fade in the title instead of make it appearing at once so I added a keyframe on the composite transition and set the opacity to 0% at the start and 100% at the keyframe.

Now the fade in is correct but the title changed the position and is much lower than before so I had to play a little with the X and Y offsets to make it as before adding the keyframe.
Steps To ReproduceIn video track #1 place a title.
In video track 0000002 place a videoclip.
Add a transition of type composite.
Add a keyframe for example after a few seconds.
Set opacity at 0% at the start.
Additional InformationIt's my first essay on using kdenlive, please be kind with me :D
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0006649)
spydmobile (reporter)
2011-04-11 00:58

I have been seeing similar strangeness with keyframes moving, I notice that if I click add keyframe and wait a second, it will advance to the next frame after the keyframe, then it greys out the size and option controls, and I have to click previous keyframe to line it up again, im on 64-bit ubuntu 10.10 kdenlive 7.9 from build script.
(0008772)
ptitmain (developer)
2012-12-13 21:30

I tested this bug with kdenlive 0.9.2. Adding a keyframe does not move the title. But, it seems that the current selection can impact the project monitor. Depending on what is selected (the composite transition, the clip), then the project monitor does not rendre the same think (which is normal I think). Thus, when selecting the transition or the clip, the title can move. To be sure of the rendering, the best think is to unselect all the elements to see if all is going well.

- Issue History
Date Modified Username Field Change
2011-04-10 23:14 dusty New Issue
2011-04-11 00:58 spydmobile Note Added: 0006649
2012-12-13 21:30 ptitmain Note Added: 0008772
2013-01-28 12:26 j-b-m Status new => resolved
2013-01-28 12:26 j-b-m Fixed in Version => Recent git
2013-01-28 12:26 j-b-m Resolution open => fixed
2013-01-28 12:26 j-b-m Assigned To => j-b-m
2013-01-28 19:49 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:51 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker